Skip to content

GET /apiv2/aml/

Get the status and result of a previously submitted AML check.

Endpoint URL

GET https://netts.io/apiv2/aml/{order_id}

Request Headers

HeaderRequiredDescription
X-API-KEYYesYour API key from Netts dashboard

Path Parameters

ParameterTypeRequiredDescription
order_idstringYesOrder ID returned from POST /apiv2/aml

Example Requests

cURL

bash
curl -X GET https://netts.io/apiv2/aml/A4C666ABE24BD4A \
  -H "X-API-KEY: your_api_key" \

Python

python
import requests

order_id = "A4C666ABE24BD4A"
headers = {
    "X-API-KEY": "your_api_key",
}

response = requests.get(f"https://netts.io/apiv2/aml/{order_id}", headers=headers)
data = response.json()

result = data.get("data", {})
print(f"Status: {result.get('status')}")
print(f"Risk Score: {result.get('risk_score')}")
print(f"Risk Level: {result.get('risk_level')}")

Response

Completed Check (200 OK)

json
{
    "success": true,
    "data": {
        "client_order_id": "A4C666ABE24BD4A",
        "status": "completed",
        "address": "TXtARC75jmh7sDDfHFunLbpA44T7JhJ53u",
        "provider": "elliptic",
        "report_language": "en",
        "risk_score": 10.0,
        "risk_level": "high",
        "is_sanctioned": false,
        "created_at": "2026-03-10 09:56:31",
        "completed_at": "2026-03-10 09:56:32",
        "result": {
            "risk_score": 10,
            "cluster_entities": [
                {
                    "name": "ChangeHero",
                    "category": "Coin Swap Service"
                }
            ]
        }
    },
    "timestamp": "2026-03-10 10:00:00"
}

Pending Check (200 OK)

json
{
    "success": true,
    "data": {
        "client_order_id": "A4C666ABE24BD4A",
        "status": "pending",
        "address": "TPCHni9H51NEr8iT6fNJgkdMUBPbF79HBV",
        "provider": "elliptic",
        "report_language": "en",
        "message": "AML check is being processed",
        "estimated_time_seconds": 5,
        "created_at": "2026-03-10 09:56:31"
    },
    "timestamp": "2026-03-10 09:56:35"
}

Order Not Found (404)

json
{
    "success": false,
    "error": {
        "code": 4040,
        "message": "Order not found"
    },
    "timestamp": "2026-03-10 10:00:00"
}

Notes

  • Poll this endpoint to get results for asynchronous checks (submitted without wait: true)
  • Typical check completion time: 2-10 seconds
  • Polling does not incur additional charges